<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',11);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
    $this->Cell(200,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(200,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(200,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(10);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1 cm del final
    $this->SetY(-10);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  '.date("d/M/Y"),0,0,'R');
}
}

function calcular_edad($fecha){
    $dias = explode("-", $fecha, 3);
    $dias = mktime(0,0,0,$dias[1],$dias[0],$dias[2]);
    $edad = (int)((time()-$dias)/31556926 );
    return $edad;
}


// Creación del objeto de la clase heredada

$bdie= $_GET['bdie'];
$idi= $_GET['idi'];
$danesede=$_GET['danesede'];
$periodo= $_GET['periodo'];
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select alectivo From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$lectivo=$registro["alectivo"];
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(15, 10, 5); // Margen izquierdo de 15, Superior 10 y se maneja un ancho de 195 para el contenido, Margen derecho de 5
include("../php/conexion-infogeneral.php");
$regsedes=mysql_query("Select danesede,nombresede From datos_sedes Where idinstitucion='$idi'",$db_infogeneral);
while ($FilaSedes=mysql_fetch_array($regsedes)){
	$pdf->AddPage();
	$pdf->SetFont('Arial','B',12);$pdf->Cell(195,5,'ESTUDIANTES MATRICULADOS POR SEDE',0,1,'C');$pdf->Ln(5);
	$pdf->SetFont('Arial','B',10);$pdf->Cell(195,5,$FilaSedes["nombresede"],1,1,'C');
	$pdf->Ln(5);$pdf->SetFont('Arial','B',8);
	$pdf->Cell(15,5,'CODIGO',1,0,'C');$pdf->Cell(50,5,'GRADO',1,0,'C');$pdf->Cell(20,5,'CURSO',1,0,'C');$pdf->Cell(20,5,'EDAD',1,0,'C');$pdf->Cell(30,5,'HOMBRES',1,0,'C');$pdf->Cell(30,5,'MUJERES',1,0,'C');$pdf->Cell(30,5,'TOTAL',1,1,'C');
	$totalmatriculados=0;$totalhom=0;$totalmuj=0;
	$danesede=$FilaSedes["danesede"];
	include("../php/conexion-bdie.php");
	$reggrados=mysql_query("Select idgrado,grado From datos_grados Where danesede='$danesede' And estado='1'",$db_basededatosie);
	while ($FilaGrados=mysql_fetch_array($reggrados)){
		$idgrado=$FilaGrados["idgrado"];$grado=$FilaGrados["grado"];
		include("../php/conexion-bdie.php");
		$reggrupos=mysql_query("Select idgrupo From datos_grupos Where idgrado='$idgrado' And estado='1'",$db_basededatosie);
		while ($FilaGrupos=mysql_fetch_array($reggrupos)){
			$hom=0;$muj=0;$hombres="";$mujeres="";
			$idgrupo=$FilaGrupos["idgrupo"];
			include("../php/conexion-bdie.php");
			$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' And estado='1'",$db_basededatosie);
			while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
				$nuid=$FilaMatriculado["nuid"];
				include("../php/conexion-bdie.php");
				$regestudiantes=mysql_query("Select genero,fechanacimiento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
				if(mysql_num_rows($regestudiantes)>0){
					$FilaEstudiante=mysql_fetch_array($regestudiantes);
					$fecha_a=substr($FilaEstudiante["fechanacimiento"],0,4);
					$fecha_m=substr($FilaEstudiante["fechanacimiento"],5,2);
					$fecha_d=substr($FilaEstudiante["fechanacimiento"],8,2);
					$edad=calcular_edad($fecha_d."-".$fecha_m."-".$fecha_a);
					// $pdf->Cell(50,4,"Años: ".$edad."    ".$fecha_d."-".$fecha_m."-".$fecha_a." ==>".$FilaEstudiante["fechanacimiento"],1,1,'L');
					if ($FilaEstudiante["genero"]=="M"){
						$hombres[$edad]++;
						$hom++;
					}
					else{
						$mujeres[$edad]++;
						$muj++;
					}
					$totalmatriculados++;
				}
			}
			if ($hom or $muj){
				$pdf->SetFont('Arial','',7);
				for ($i=0;$i<=50; $i++){	
					if ($hombres[$i]>0 or $mujeres[$i]>0){	
						$pdf->Cell(15,4,substr($idgrupo,15,2)."-".substr($idgrupo,17,1),1,0,'C');
						$pdf->Cell(50,4,$grado,1,0,'L');
						$pdf->Cell(20,4,substr($idgrupo,17,1),1,0,'C');
						$pdf->Cell(20,4,$i,1,0,'C');
						$pdf->Cell(30,4,$hombres[$i],1,0,'C');
						$pdf->Cell(30,4,$mujeres[$i],1,0,'C');
						$pdf->Cell(30,4,$hombres[$i]+$mujeres[$i],1,1,'C');
						$totalhom=$totalhom+$hombres[$i];
						$totalmuj=$totalmuj+$mujeres[$i];
					}
				}
				$pdf->SetFont('Arial','B',7);
				$pdf->Cell(105,4,'SubTotal Matriculados en Grado-Curso: '.$grado.'-'.substr($idgrupo,17,1).'-->>>',1,0,'R');
				$pdf->Cell(30,4,$hom,1,0,'C');
				$pdf->Cell(30,4,$muj,1,0,'C');
				$pdf->Cell(30,4,$hom+$muj,1,1,'C');
			}
		}
	}
	$pdf->Cell(105,4,'TOTAL MATRICULADOS EN LA SEDE '.$FilaSedes["nombresede"],1,0,'C');
	$pdf->Cell(30,4,$totalhom,1,0,'C');
	$pdf->Cell(30,4,$totalmuj,1,0,'C');
	$pdf->Cell(30,4,$totalmatriculados,1,1,'C');
	$pdf->SetFont('Arial','B',7);
	$pdf->Cell(195,4,'NOTA: Si la edad de un Estudiante es mayor a 50 años, este no se tiene en cuenta.',1,1,'C');
}

$pdf->Output();
?>